//
//  EmoticansView.h
//  EmojiKeyboardSample
//
//  Created by Meenakshi on 11/11/13.
//  Copyright (c) 2013 Mindfire Solutions. All rights reserved.
//

@protocol EmoticansViewDelegate <NSObject>

@optional
- (void) selctedEmoticanCharacter:(NSString*)emotican;
- (void) deleteEmoticanCharacter;

@end

@interface EmoticansView : UIView
{
	NSArray*  _emoticansCharacter;
}
@property(nonatomic, assign)id<EmoticansViewDelegate> delegate;

- (void) loadEmoticansFromIndex:(NSUInteger)startIndex toIndex:(NSUInteger)endIndex;
- (void) cleanEmoticanView;


@end
